import 'package:flutter/material.dart';
import 'package:formx/formx.dart';

void main() => runApp(const MaterialApp(home: Scaffold(body: MyWidget())));

final controller = FormxController();

class MyWidget extends StatefulWidget {
  const MyWidget({super.key});

  @override
  State<MyWidget> createState() => _MyWidgetState();
}

class _MyWidgetState extends State<MyWidget> {
  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        ElevatedButton(
          onPressed: () {
            print(controller.submit());
            // if (mounted) setState(() {});
          },
          child: const Text('Print form'),
        ),
        Formx(
          tag: 'test',
          controller: controller,
          onErrorText: (tag, error) {
            return 'hi';
          },
          onChange: print,
          child: const Column(
            children: [
              Fieldx('a', validator: Validatorx.cpf),
              Fieldx('b'),
            ],
          ),
        ),
        Formx(
          tag: 'sub.test',
          controller: controller,
          onChange: print,
          child: Column(
            children: [
              Fieldx.required('c', mask: '###.###.###-##'),
              Fieldx.required('d'),
            ],
          ),
        ),
      ],
    );
  }
}
