import 'package:flutter_test/flutter_test.dart';

import 'package:formx/formx.dart';

void main() {
  test(
      'nested should correctly nest the original map under the specified tag path',
      () {
    final originalMap = {'x': 'y'};

    var result = originalMap.nestIn('a');
    expect(
        result,
        equals({
          'a': {'x': 'y'}
        }));

    result = originalMap.nestIn('a.b');
    expect(
        result,
        equals({
          'a': {
            'b': {'x': 'y'}
          }
        }));

    result = originalMap.nestIn('a.b.c');
    expect(
        result,
        equals({
          'a': {
            'b': {
              'c': {'x': 'y'}
            }
          }
        }));

    // Check with different pattern
    result = originalMap.nestIn('a-b-c', pattern: '-');
    expect(
        result,
        equals({
          'a': {
            'b': {
              'c': {'x': 'y'}
            }
          }
        }));
  });
}
